%define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Name:		python-pysctp 
Version:	0.3.1
Release:	11%{?dist}
Summary:	Python sctp socket api extensions bindings
Group:		System Environment/Libraries
License:	LGPLv2
URL:		http://epx.com.br/pysctp/
Source0:	http://epx.com.br/pysctp/pysctp-%{version}.tar.gz
Source1:	setup.py
Source2:	__init__.py
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	python lksctp-tools-devel 
BuildRequires:  python-setuptools-devel lksctp-tools-devel 
BuildRequires:	python-devel python

Patch0: pysctp-buildfix.patch

%description
Python bindings for the SCTP socket api (see draft-ietf-tsvwg-sctpsocket-10.txt)

%prep
%setup -q -n pysctp-%{version}
%patch0 -p1
mkdir ./pysctp
cp %{SOURCE1} . 
cp %{SOURCE2} ./pysctp
mv ./sctp.py ./pysctp

%build
FLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{python_sitearch}/*
%doc README Changelog doc/draft-ietf-tsvwg-sctpsocket-10.txt

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.3.1-10
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Nov 20 2009 Neil Horman <nhorman@tuxdriver.com> - 0.3.1-9
- Update BuildRequires (bz 539152)

* Fri Nov 20 2009 Neil Horman <nhorman@tuxdriver.com> - 0.3.1-8
- Update BuildRequires (bz 539152)

* Fri Nov 20 2009 Neil Horman <nhorman@tuxdriver.com> - 0.3.1-7
- Update makefile for latest python release (bz 539152)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3.1-4
- Rebuild for Python 2.6

* Wed Sep 10 2008 Neil Horman <nhorman@tuxdriver.com> 0.3-1-3 
- Fixed files section, last minute pre-import fixes

* Wed Sep 10 2008 Neil Horman <nhorman@tuxdriver.com> 0.3.1-2
- Updated spec file with documentation

* Thu Apr 10 2008 Neil Horman <nhorman@tuxdriver.com> 0.3.1-1
- Initial build
